Get bundle by ID
curl --request GET \
--url https://api.opal.dev/v1/bundles/{bundle_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/bundles/{bundle_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/bundles/{bundle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bundle_id": "a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1",
"name": "Bundle 1",
"description": "Description of bundle 1",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"admin_owner_id": "4aed3e8a-727b-4d72-8010-3b8710c50bec",
"total_num_items": 15,
"total_num_resources": 10,
"total_num_groups": 5
}Returns a Bundle object.
GET
/
bundles
/
{bundle_id}
Get bundle by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the bundle.
Response
200 - application/json
The requested Bundle.
The ID of the bundle.
Example:
"a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1"
The name of the bundle.
Example:
"Bundle 1"
The description of the bundle.
Example:
"Description of bundle 1"
The creation timestamp of the bundle, in ISO 8601 format
The last updated timestamp of the bundle, in ISO 8601 format
The ID of the owner of the bundle.
Example:
"4aed3e8a-727b-4d72-8010-3b8710c50bec"
The total number of items in the bundle.
Example:
15
The total number of resources in the bundle.
Example:
10
The total number of groups in the bundle.
Example:
5
Last modified on August 27, 2026
Was this page helpful?